# -*- coding: utf-8 -*-
"""QuakeML element

.. note:: This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
"""

__author__ = 'Original authors: Mario Locati, Roberto Vallone, Matteo Ghetta, Nyall Dawson'
__date__ = '29/01/2020'
__copyright__ = 'Istituto Nazionale di Geofisica e Vulcanologia (INGV)'
# This will get replaced with a git SHA1 when you do a git archive
__revision__ = '$Format:%H$'

EVENT_TYPES = [
    'not existing',
    'not reported',
    'earthquake',
    'anthropogenic event',
    'collapse',
    'cavity collapse',
    'mine collapse',
    'building collapse',
    'explosion',
    'accidental explosion',
    'chemical explosion',
    'controlled explosion',
    'experimental explosion',
    'industrial explosion',
    'mining explosion',
    'quarry blast',
    'road cut',
    'blasting levee',
    'nuclear explosion',
    'induced or triggered event',
    'rock burst',
    'reservoir loading',
    'fluid injection',
    'fluid extraction',
    'crash',
    'plane crash',
    'train crash',
    'boat crash',
    'other event',
    'atmospheric event',
    'sonic boom',
    'sonic blast',
    'acoustic noise',
    'thunder',
    'avalanche',
    'snow avalanche',
    'debris avalanche',
    'hydroacoustic event',
    'ice quake',
    'slide',
    'landslide',
    'rockslide',
    'meteorite',
    'volcanic eruption'
]
